=== debian/control ===
Source: itcl3
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 9.0.0), tcl8.5-dev
Standards-Version: 3.9.5
Homepage: http://incrtcl.sourceforge.net/

Package: itcl3
Section: libs
Priority: optional
Architecture: any
Depends: libtcl, ${shlibs:Depends}, ${misc:Depends}
Suggests: itcl3-doc
Conflicts: insight (<= 5.3+cvs.2003.08.30-1)
Multi-arch: same
Description: [incr Tcl] OOP extension for Tcl - run-time files
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed. 
 .
 This package contains everything you need to run itcl scripts and
 itcl-enabled apps.

Package: itcl3-dev
Section: devel
Priority: optional
Architecture: any
Depends: tcl-dev | tcl8.5-dev, itcl3 (= ${binary:Version}), ${misc:Depends}
Conflicts: itcl-dev
Suggests: itcl3-doc
Multi-arch: same
Description: [incr Tcl] OOP extension for Tcl - development files
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed. 
 .
 This package contains the headers and libraries needed to embed or
 add C extensions to itcl.

Package: itcl3-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: itcl3
Conflicts: itcl-dev, itcl-doc
Provides: itcl-doc
Description: [incr Tcl] OOP extension for Tcl - manual pages
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed. 
 .
 This package contains the man pages for the new commands that itcl
 adds to Tcl.
