## itcl3 3.4.3

=== debian/changelog ===
itcl3 (3.4.3-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:15:24 +0100

itcl3 (3.4.3-3) unstable; urgency=medium

  * Add conflicts for itcl3-dev and itcl3-doc with tcl-itcl-dev and
    tcl-itcl-doc respectively to forbid their coinstallation along with
    the prospective tcl-itcl4-dev and tcl-itcl4-doc packages.
  * Add the VCS headers to debian/ocntrol.
  * Use machine-readable debian/copyright.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 07 Mar 2018 11:34:44 +0300

itcl3 (3.4.3-2) unstable; urgency=medium

  * Switched to Tcl/Tk 8.6 because Tcl/Tk 8.5 is to be removed from Debian.
  * Bumped the debhelper compatibility version to 10.
  * Bumped standards-version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Jan 2018 07:39:42 +0300

itcl3 (3.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Removed no longer necessary patch.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2016 16:41:56 +0300

itcl3 (3.4.1-3) unstable; urgency=medium

  * Fixed building the architecture-independent package only (closes: #806050).
  * Bumped standards-version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Nov 2015 15:06:44 +0300
