=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), tcl8.5-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 10.0.0), tcl8.6-dev
+Standards-Version: 4.1.3
 Homepage: http://incrtcl.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl3
+Vcs-Git: https://salsa.debian.org/tcltk-team/itcl3.git
 
 Package: itcl3
 Section: libs
@@ -29,8 +31,9 @@
 Section: devel
 Priority: optional
 Architecture: any
-Depends: tcl-dev | tcl8.5-dev, itcl3 (= ${binary:Version}), ${misc:Depends}
-Conflicts: itcl-dev
+Depends: tcl-dev | tcl8.6-dev, itcl3 (= ${binary:Version}), ${misc:Depends}
+Conflicts: itcl-dev, tcl-itcl-dev
+Provides: tcl-itcl-dev
 Suggests: itcl3-doc
 Multi-arch: same
 Description: [incr Tcl] OOP extension for Tcl - development files
@@ -49,8 +52,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: itcl3
-Conflicts: itcl-dev, itcl-doc
-Provides: itcl-doc
+Conflicts: itcl-dev, itcl-doc, tcl-itcl-doc
+Provides: itcl-doc, tcl-itcl-doc
 Description: [incr Tcl] OOP extension for Tcl - manual pages
  [incr Tcl] (or itcl) is a popular object-oriented extension for the
  embeddable Tcl scripting language.  The name is a play on C++, and
