=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 v=$(vmajor).$(vminor)
 v1=$(vmajor).$(shell expr $(vminor) + 1)
 dtmp=$(shell pwd)/debian/tmp
+
+tclv=8.6
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -18,7 +20,7 @@
 		       --includedir=/usr/include/itcl$(vmajor) \
 		       --enable-shared \
 		       --enable-threads \
-		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.5
+		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tclv)
 
 override_dh_auto_build:
 	$(MAKE) LIBS="-Wl,-soname,\$$@.1"
@@ -73,15 +75,15 @@
           done
 
 override_dh_link:
-	rm -r debian/itcl3-dev/usr/share/doc/itcl3-dev
+	rm -rf debian/itcl$(vmajor)-dev/usr/share/doc/itcl$(vmajor)-dev
 	dh_link
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'itcl3 (>= $(v)~), itcl3 (<< $(v1)~)'
+	dh_makeshlibs -a -V 'itcl$(vmajor) (>= $(v)~), itcl$(vmajor) (<< $(v1)~)'
 
 get-orig-source:
-	wget -O itcl3_3.4.1.orig.tar.gz \
-	     http://prdownloads.sourceforge.net/incrtcl/itcl3.4.1.tar.gz
+	wget -O itcl3_3.4.3.orig.tar.gz \
+	     http://prdownloads.sourceforge.net/incrtcl/itcl3.4.3.tar.gz
 
 .PHONY: override_dh_auto_configure override_dh_auto_build override_dh_clean \
 	override_dh_auto_install override_dh_makeshlibs override_dh_link get-orig-source
