## itcl3 3.4.4

=== debian/changelog ===
itcl3 (3.4.4-3) unstable; urgency=medium

  * Incorporate the non-maintainer upload by Niels Thykier.
  * Add the debian/watch uscan control file.
  * Fix the package homepage, clean up the debian/control file.
  * Bump standards-version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Mar 2025 15:06:25 +0300

itcl3 (3.4.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089353)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 18:09:14 +0000

itcl3 (3.4.4-2) unstable; urgency=medium

  * Revert the change which ports Itcl 3 to Tcl 8.7 because it breaks
    abbreviations in namespaces like [info exist var]
    (closes: #1027932, #1027857).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 06 Jan 2023 12:47:32 +0300

itcl3 (3.4.4-1) unstable; urgency=medium

  * New upstream release (closes: #1026572).
  * Bumped the debhelper compatibility version to 13.
  * Bumped standards-version to 4.6.1.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Dec 2022 15:06:24 +0300
