=== debian/control ===
Source: itcl3
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tcl8.6-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://incrtcl.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/itcl3
Vcs-Git: https://salsa.debian.org/tcltk-team/itcl3.git

Package: itcl3
Architecture: any
Multi-Arch: same
Depends: libtcl, ${shlibs:Depends}, ${misc:Depends}
Suggests: itcl3-doc
Conflicts: insight (<= 5.3+cvs.2003.08.30-1)
Description: [incr Tcl] OOP extension for Tcl - run-time files
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed.
 .
 This package contains everything you need to run itcl scripts and
 itcl-enabled apps.

Package: itcl3-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: tcl-dev | tcl8.6-dev, itcl3 (= ${binary:Version}), ${misc:Depends}
Conflicts: itcl-dev, tcl-itcl-dev
Provides: tcl-itcl-dev
Suggests: itcl3-doc
Description: [incr Tcl] OOP extension for Tcl - development files
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed.
 .
 This package contains the headers and libraries needed to embed or
 add C extensions to itcl.

Package: itcl3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: itcl3
Conflicts: itcl-dev, itcl-doc, tcl-itcl-doc
Provides: itcl-doc, tcl-itcl-doc
Description: [incr Tcl] OOP extension for Tcl - manual pages
 [incr Tcl] (or itcl) is a popular object-oriented extension for the
 embeddable Tcl scripting language.  The name is a play on C++, and
 itcl has a similar object model, including multiple inheritance and
 public and private classes and variables.  Unlike most OOP extensions
 to Tcl, itcl is written in C for speed.
 .
 This package contains the man pages for the new commands that itcl
 adds to Tcl.
