=== debian/rules ===
--- 
+++ 
@@ -23,19 +23,22 @@
 		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tclv)
 
 override_dh_auto_build:
-	$(MAKE) LIBS="-Wl,-soname,\$$@.1"
+	$(MAKE) CPPFLAGS="\$$(SHLIB_CFLAGS)" LIBS="-Wl,-soname,\$$@.1"
 
-ovarride_dh_clean:
+override_dh_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
 	[ ! -f Makefile ] || $(MAKE) distclean
 	#
 	rm -f itclConfig.sh pkgIndex.tcl
+	dh_clean
 
 override_dh_auto_install:
 	$(MAKE) prefix=$(dtmp)/usr \
 		exec_prefix=$(dtmp)/usr \
 		includedir=$(dtmp)/usr/include/itcl$(vmajor) \
 		install
+	# Ensure sane basic permissions
+	chmod u+rwX -R $(dtmp)
 	#
 	# Fix up the itcl libraries.
 	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itcl*/libitcl$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitcl$(v).so.1
@@ -82,8 +85,8 @@
 	dh_makeshlibs -a -V 'itcl$(vmajor) (>= $(v)~), itcl$(vmajor) (<< $(v1)~)'
 
 get-orig-source:
-	wget -O itcl3_3.4.3.orig.tar.gz \
-	     http://prdownloads.sourceforge.net/incrtcl/itcl3.4.3.tar.gz
+	wget -O itcl3_3.4.4.orig.tar.gz \
+	     http://prdownloads.sourceforge.net/incrtcl/itcl3.4.4.tar.gz
 
 .PHONY: override_dh_auto_configure override_dh_auto_build override_dh_clean \
 	override_dh_auto_install override_dh_makeshlibs override_dh_link get-orig-source
